#ifdef TIVO

#include <stdio.h>
#include <stdarg.h>
#include <sys/types.h>
#define _STRUCT_TIMESPEC
#include <asm/unistd.h>
#include <linux/sched.h>

_syscall3(int, sched_setscheduler, pid_t, pid, int, policy, struct sched_param, *param);

extern int sched_setscheduler(pid_t pid, int policy, struct sched_param *param);

static char *pri[] = { "ts", "fifo", "rr" };

int fixPriority()
{
	int			policy,
				x;
	struct sched_param	param;

	policy = 1;

	param.sched_priority = 1;
	if(sched_setscheduler(getpid(), policy, &param))
	{
		fprintf(stderr, "Could not set the priority...\n");
		perror("nicepri");
	}
	fprintf(stderr, "Priority set...\n");

	return 0;
}

#endif
